FileGrabberAgentConfiguration (CMDB Model API)
Keywords: com.collation.platform.model.discovery.agent.FileGrabberAgentConfiguration interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.discovery.agent
Interface FileGrabberAgentConfiguration

All Superinterfaces:
  AgentConfiguration, Configuration, ModelObject, java.io.Serializable

    public interface FileGrabberAgentConfiguration

extends AgentConfiguration

Configuration for a FileGrabberSensor

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.Configuration
`OPER_ACCEPTED, OPER_NEW, OPER_REJECTED`

Method Summary
`java.lang.String` | `getFileName()` The name of the file whose contents need to be grabbed
`java.lang.String` | `getLocalFileName()` If specified, the content of the file is stored in the local filesystem instead of being dropped in the java space.
`java.lang.String` | `getOptimizeLocal()` If set to "true", do not copy the file over if it is found on the same host as the collation server
`java.lang.String` | `getScope()` If specified, the sensor is only started on hosts within the scope
`boolean` | `hasFileName()`
`boolean` | `hasLocalFileName()`
`boolean` | `hasOptimizeLocal()`
`boolean` | `hasScope()`
`void` | `setFileName(java.lang.String fileName)`
`void` | `setLocalFileName(java.lang.String localFileName)`
`void` | `setOptimizeLocal(java.lang.String optimize)`
`void` | `setScope(java.lang.String scope)`

Methods inherited from interface com.collation.platform.model.discovery.agent.AgentConfiguration
`getAgentClassName, getBidiConfigFlag, getBidiConfigFormat, getBidiProfile, getClassPath, getObjectVersion, getOriginalName, getScopeSetName, getSeedClassName, getTemplateClassName, hasAgentClassName, hasBidiConfigFlag, hasBidiConfigFormat, hasBidiProfile, hasClassPath, hasObjectVersion, hasOriginalName, hasScopeSetName, hasSeedClassName, hasTemplateClassName, setAgentClassName, setBidiConfigFlag, setBidiConfigFormat, setBidiProfile, setClassPath, setObjectVersion, setOriginalName, setScopeSetName, setSeedClassName, setTemplateClassName`

Methods inherited from interface com.collation.platform.model.Configuration
`getEnabled, getFamilyName, getMssGuid, getName, getOperationalStatus, getRejectionReason, hasEnabled, hasFamilyName, hasMssGuid, hasName, hasOperationalStatus, hasRejectionReason, setEnabled, setFamilyName, setMssGuid, setName, setOperationalStatus, setRejectionReason`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### getFileName

    java.lang.String getFileName()
                                 throws AttributeNotSetException

  The name of the file whose contents need to be grabbed

  Returns:
    Filename
  Throws:
    `AttributeNotSetException`

### setFileName

    void setFileName(java.lang.String fileName)

### hasFileName

    boolean hasFileName()

### getScope

    java.lang.String getScope()
                              throws AttributeNotSetException

  If specified, the sensor is only started on hosts within the scope

  Returns:
  Throws:
    `AttributeNotSetException`

### setScope

    void setScope(java.lang.String scope)

### hasScope

    boolean hasScope()

### getLocalFileName

    java.lang.String getLocalFileName()
                                      throws AttributeNotSetException

  If specified, the content of the file is stored in the local filesystem instead of being dropped in the java space. This limits it's usage to non-anchor setups but its much faster. The name of this local file is instead being passed as part of the result

  Returns:
    The local filename
  Throws:
    `AttributeNotSetException`

### setLocalFileName

    void setLocalFileName(java.lang.String localFileName)

### hasLocalFileName

    boolean hasLocalFileName()

### getOptimizeLocal

    java.lang.String getOptimizeLocal()
                                      throws AttributeNotSetException

  If set to "true", do not copy the file over if it is found on the same host as the collation server

  Returns:
    "true" or "false"
  Throws:
    `AttributeNotSetException`

### setOptimizeLocal

    void setOptimizeLocal(java.lang.String optimize)

### hasOptimizeLocal

    boolean hasOptimizeLocal()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD